CVE-2017-7395

Priority
Description
In TigerVNC 1.7.1 (SMsgReader.cxx SMsgReader::readClientCutText), by
causing an integer overflow, an authenticated client can crash the server.
Notes
Package
Upstream:released (1.7.0+dfsg-7)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (1.7.0+dfsg-8ubuntu2)
Patches:
Upstream:https://github.com/TigerVNC/tigervnc/pull/436
Upstream:https://github.com/TigerVNC/tigervnc/pull/436/commits/bf3bdac082978ca32895a4b6a123016094905689
More Information

Updated: 2020-09-10 05:41:14 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)